Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.dom.util
Class TriplyIndexedTable.Entry

    java.lang.Object
      org.apache.batik.dom.util.TriplyIndexedTable.Entry

Enclosing class:
  TriplyIndexedTable

    protected static class TriplyIndexedTable.Entry

extends Object

To manage collisions

Field Summary
`int` | `hash` The hash code
`Object` | `key1` The first key
`Object` | `key2` The second key
`Object` | `key3` The third key
`TriplyIndexedTable.Entry` | `next` The next entry
`Object` | `value` The value

Constructor Summary
`TriplyIndexedTable.Entry(int hash, Object key1, Object key2, Object key3, Object value, TriplyIndexedTable.Entry next)` Creates a new entry

Method Summary
`boolean` | `match(Object o1, Object o2, Object o3)` Whether this entry matches the given keys.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### hash

    public int hash

  The hash code

### key1

    public Object key1

  The first key

### key2

    public Object key2

  The second key

### key3

    public Object key3

  The third key

### value

    public Object value

  The value

### next

    public TriplyIndexedTable.Entry next

  The next entry

Constructor Detail

### TriplyIndexedTable.Entry

    public TriplyIndexedTable.Entry(int hash,
                                    Object key1,
                                    Object key2,
                                    Object key3,
                                    Object value,
                                    TriplyIndexedTable.Entry next)

  Creates a new entry

Method Detail

### match

    public boolean match(Object o1,
                         Object o2,
                         Object o3)

  Whether this entry matches the given keys.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.